//	author:	Barnabas Aszodi (BME-IIT)

#include "Ogre.h"
#include "OgreEffectWrapper.h"
#include "ManagedOgreRenderTexturePass.h"
#include "FinalRenderingRun.h"

#include "CAURenderFinalPass.h"

#include "CausticFinalRenderingRun.h"


CausticFinalRenderingRun::CausticFinalRenderingRun(Entity* entity)
		:FinalRenderingRun(entity)
{
	iCausticMapUpdateInterval = 0;
}


void CausticFinalRenderingRun::renderSingleEntity(RenderTarget* backBuffer, CubeMapFaces cf)
{
}

const String& CausticFinalRenderingRun::getCausticMapTexture()
{
	return this->cAURenderFinalPass->getMaterialName();
}

unsigned int CausticFinalRenderingRun::getCausticMapUpdateInterval()
{
	return iCausticMapUpdateInterval;
}	

void CausticFinalRenderingRun::setCausticMapUpdateInterval(unsigned int updateIntervalNumOfFrames)
{
	iCausticMapUpdateInterval = updateIntervalNumOfFrames;
}
